careCycle
CampaignsAgent source restrictions

Create agent source restriction

Create a new agent source restriction to BLOCK an agent from receiving calls from a specific source in a campaign.

POST
/v2/campaigns/{campaignId}/agent-source-restrictions

Authorization

x-api-key
x-api-key<token>

API key required for authentication.

Keys begin with 'cc_' prefix. Get your API key from the Developer Dashboard.

In: header

Path Parameters

string

Campaign ID

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Formatuuid

Request Body

application/json

POST /v2/campaigns/:campaignId/agent-source-restrictions Request body

TypeScript Definitions

Use the request body type in TypeScript.

string

Member/Agent ID

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Formatuuid
string

Source ID

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.carecycle.ai/v2/campaigns/497f6eca-6276-4993-bfeb-53cbbbba6f08/agent-source-restrictions" \  -H "Content-Type: application/json" \  -d '{    "memberId": "92983ab9-49c8-444b-85ae-6e40402cf72e",    "sourceId": "797f5a94-3689-4ac8-82fd-d749511ea2b2"  }'
{
  "restriction": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "createdAt": null,
    "updatedAt": null,
    "campaignId": "13f8bf6d-dc27-4a04-bffe-6e5b13c19ddf",
    "memberId": "92983ab9-49c8-444b-85ae-6e40402cf72e",
    "sourceId": "797f5a94-3689-4ac8-82fd-d749511ea2b2",
    "campaignName": "string",
    "memberName": "string",
    "sourceName": "string"
  }
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "VALIDATION_ERROR",
  "errors": [
    {
      "path": [
        "string"
      ],
      "message": "string",
      "expected": "string",
      "received": "string",
      "code": "string"
    }
  ]
}
{
  "message": "string",
  "code": "string",
  "retryAfter": 0
}
{
  "message": "string",
  "code": "string"
}